Package: ocfs2-tools / 1.8.4-4+deb9u1

ocfs2-init-script.patch Patch series | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
--- a/vendor/common/ocfs2.init
+++ b/vendor/common/ocfs2.init
@@ -7,16 +7,24 @@
 #
 ### BEGIN INIT INFO
 # Provides: ocfs2
-# Required-Start: $network o2cb
-# Required-Stop: 
-# X-UnitedLinux-Should-Start:
-# X-UnitedLinux-Should-Stop:
-# Default-Start:  2 3 5
-# Default-Stop:
+# Required-Start: $local_fs $network o2cb
+# Required-Stop: $local_fs $network o2cb
+# Should-Start: drbd iscsi multipath-tools
+# Should-Stop: drbd iscsi multipath-tools
+# Default-Start: 2 3 4 5
+# Default-Stop: 0 1 6
 # Short-Description: Mount OCFS2 volumes at boot.
 # Description:  Mount OCFS2 volumes at boot.
 ### END INIT INFO
 
+# Let's try to use the LSB functions
+. /lib/lsb/init-functions
+if [ $? != 0 ]
+then
+    echo "Unable to load LSB init functions" >&2
+    exit 1
+fi
+
 if [ -f /etc/redhat-release ]
 then
 . /etc/init.d/functions